Ryzom - Bug # 641

Status: Closed Priority: Normal
Author: kervala Category: NeL: General
Created: 07/31/2009 Assignee: kervala
Updated: 09/30/2010 Due date:

Subject: Assert when a vertex is not found in CShadowPolyReceiver::_VertexMap
Description

An assert often occurs in : void CShadowPolyReceiver::releaseVertex(uint id)

It seems like the vertex has already been removed from the map, so we'll remove it only when it's found otherwise we'll show a

warning.

History

#1 - 07/31/2009 01:49 pm - kervala
- Status changed from New to Validated

#2 - 07/31/2009 01:50 pm - kervala

- Status changed from Validated to Assigned
- Assignee set to kervala

- Estimated time set to 0.10

#3 - 07/31/2009 01:53 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1682.

#4 - 08/03/2009 03:02 pm - sfb

- Status changed from Resolved to Closed

Patch looks good. Thank you kervala!

#5 - 09/29/2010 09:43 pm - kervala

- Project changed from NeL to Ryzom

- Category deleted (3d)

- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 02:48 pm - kervala

- Category set to NeL: General
- Target version set to Version 0.7.0
